<div th:replace="fm:data(defaultInput=~{::input})" th:fragment="input" xmlns:th="http://www.thymeleaf.org">
    
    <div class="row">
        <div th:class="${!#strings.isEmpty(data.width) ? null : 'col-md-4'}">
            <select xmlns:th="http://www.thymeleaf.org" class="form-control" th:name="${prefix + data.id}" th:attr="data-parsley-required=${data.isMandatory() ? true : null}"></select>
            <input type="hidden" th:name="${prefix + data.id} + '.label'" th:value="${null == value ? '' : value.label}" />
            <input type="hidden" th:name="${prefix + data.id} + '.id'" th:value="${null == value ? '' : value.id}" />
        </div>
    </div>
</div>